| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
CHIP: LPC17xx/40xx SDC driver
LPC17xx/40xx chip specific drivers

## Detailed Description

## Enumerations
enum | CHIP_SDC_RET_CODE_T { SDC_RET_OK = 0, SDC_RET_CMD_FAILED = -1, SDC_RET_BAD_PARAMETERS = -2, SDC_RET_BUS_NOT_IDLE = -3, SDC_RET_TIMEOUT = -4, SDC_RET_ERR_STATE = -5, SDC_RET_NOT_READY = -6, SDC_RET_FAILED = -7 }
| SDC Return code definitions. More...

## Functions
void | Chip_SDC_Init (LPC_SDC_T *pSDC)
| Initialize SDC peripheral.
void | Chip_SDC_SetClock (LPC_SDC_T *pSDC, uint32_t freq)
| Set the clock frequency for SDC peripheral.
void | Chip_SDC_DeInit (LPC_SDC_T *pSDC)
| Deinitialise SDC peripheral.
STATIC INLINE void | Chip_SDC_SetIntMask (LPC_SDC_T *pSDC, uint32_t iVal)
| Sets the interrupt mask in SDC peripheral.
STATIC INLINE uint32_t | Chip_SDC_GetStatus (LPC_SDC_T *pSDC)
| Returns the current SDC status.

## Enumeration Type Documentation

enum CHIP_SDC_RET_CODE_T

SDC Return code definitions.

Enumerator:

  SDC_RET_OK |
  SDC_RET_CMD_FAILED |
  SDC_RET_BAD_PARAMETERS |
  SDC_RET_BUS_NOT_IDLE |
  SDC_RET_TIMEOUT |
  SDC_RET_ERR_STATE |
  SDC_RET_NOT_READY |
  SDC_RET_FAILED |

Definition at line 47 of file sdc_17xx_40xx.h.

## Function Documentation

void Chip_SDC_DeInit | ( | LPC_SDC_T * | pSDC | ) |

Deinitialise SDC peripheral.

Parameters

  pSDC | : Pointer to SDC peripheral base address

Returns
  None

Definition at line 95 of file sdc_17xx_40xx.c.

STATIC INLINE uint32_t Chip_SDC_GetStatus | ( | LPC_SDC_T * | pSDC | ) |

Returns the current SDC status.

Parameters

  pSDC | : Pointer to SDC peripheral base address

Returns
  Current status of Or'ed values SDC_STATUS_*

Definition at line 96 of file sdc_17xx_40xx.h.

void Chip_SDC_Init | ( | LPC_SDC_T * | pSDC | ) |

Initialize SDC peripheral.

Parameters

  pSDC | : Pointer to SDC peripheral base address

Returns
  None

Definition at line 53 of file sdc_17xx_40xx.c.

void Chip_SDC_SetClock | ( | LPC_SDC_T * | pSDC,
|  | uint32_t | freq
| ) |  |

Set the clock frequency for SDC peripheral.

Parameters

  pSDC | : Pointer to SDC peripheral base address
  freq | : Expected clock frequency

Returns
  None

Definition at line 80 of file sdc_17xx_40xx.c.

STATIC INLINE void Chip_SDC_SetIntMask | ( | LPC_SDC_T * | pSDC,
|  | uint32_t | iVal
| ) |  |

Sets the interrupt mask in SDC peripheral.

Parameters

  pSDC | : Pointer to SDC peripheral base address
  iVal | : Interrupts to enable, Or'ed values SDC_MASK0_*

Returns
  None

Definition at line 86 of file sdc_17xx_40xx.h.